Subject: Re: help with dynamic linkage?
From: skaller <[email-masked]>
To: [email-masked]
Cc: felix <[email-masked]>
Date: Sun, 12 Feb 2006 15:24:24 +1100

On Sat, 2006-02-11 at 20:38 -0500, Igor Peshansky wrote:

> > 	http://felix.sf.net/flx_1.1.2_rc1.tgz
> 
> Well, you could have done *some* work on cutting the testcase down,

I spent lots of time on it ;( That problem has been bugging
me for over 6 months.

> This looks to me like another instance of
> <http://cygwin.com/ml/cygwin/2006-01/msg00113.html> (follow that thread
> through -- it has a reference to another thread, too).

Ah! Thank you!! That makes sense!! I had trouble with std::string
before. Now why didn't I think of that .. only recently I removed
the manual template instantiation forcing instantiation in the RTL
(because it gave link errors on OSX 10.3)

Thanks very much! Flx_dynlink_t is indeed in error!!

My policy has been to force instantiation of destructors,
constructors and all virtual or otherwise significant
functions of constructible rtl types in the rtl, 
but flx_dynlink_t has a compiler generated default constructor.

flx_libinit_t has the same problem (no default or copy ctors,
no assignment operator).

I fixed flx_dynlink_t and initialised the string 'filename' to ""
and now all the non-pthread tests work!

-- 
John Skaller <skaller at users dot sf dot net>
Felix, successor to C++: http://felix.sf.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/